OpenAgentPack Kit
POST
/api/kit/sessions/{sessionId}/tool-approvals

Path Parameters

sessionId*string

Header Parameters

x-kit-protocol-version*string

必填的 Kit 协议版本;当前要求 2.x,缺失或主版本不匹配返回 409。

Request Body

application/json
  1. body
batch_id*string
Length1 <= length
call_id*string
Length1 <= length
result*string
Value in"allow""deny"
deny_message?string
Lengthlength <= 200

Response Body

决定已提交,执行结果由 Provider 事件确认

application/json
  1. response
data*
curl -X POST 'https://example.com/api/kit/sessions/string/tool-approvals' \  -H 'x-kit-protocol-version: string' \  -H 'Content-Type: application/json' \  -d '{  "batch_id": "string",  "call_id": "string",  "result": "allow"}'
{  "data": {    "session_id": "string",    "accepted": true,    "event_ids": []  }}